PAL A Platform Abstraction Layer connects the mbed-client with the underlying platform.

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Typedefs | Functions | Variables
pal_rtos_test_utils.h File Reference
`#include "pal_types.h"`
`#include "pal_rtos.h"`
`#include "pal_test_utils.h"`

Go to the source code of this file.

## Data Structures
struct | threadsArgument
struct | timerArgument

## Macros
#define | THREAD_STACK_SIZE 1024*sizeof(uint32_t)
#define | MEMORY_POOL1_BLOCK_SIZE 32
#define | MEMORY_POOL1_BLOCK_COUNT 5
#define | MEMORY_POOL2_BLOCK_SIZE 12
#define | MEMORY_POOL2_BLOCK_COUNT 4

## Typedefs
typedef struct threadsArgument | threadsArgument_t
typedef struct timerArgument | timerArgument_t

## Functions
void | palThreadFunc1 (void const *argument)
void | palThreadFunc2 (void const *argument)
void | palThreadFunc3 (void const *argument)
void | palThreadFunc4 (void const *argument)
void | palThreadFunc5 (void const *argument)
void | palThreadFunc6 (void const *argument)
void | palTimerFunc1 (void const *argument)
void | palTimerFunc2 (void const *argument)
void | palThreadFuncCustom1 (void const *argument)
void | palThreadFuncCustom2 (void const *argument)
void | palThreadFuncCustom3 (void const *argument)
void | palThreadFuncCustom4 (void const *argument)

## Variables
threadsArgument_t | g_threadsArg
uint32_t | g_threadStorage [20]
timerArgument_t | g_timerArgs
palMutexID_t | mutex1
palMutexID_t | mutex2
palSemaphoreID_t | semaphore1

## Macro Definition Documentation

#define MEMORY_POOL1_BLOCK_COUNT 5

#define MEMORY_POOL1_BLOCK_SIZE 32

#define MEMORY_POOL2_BLOCK_COUNT 4

#define MEMORY_POOL2_BLOCK_SIZE 12

#define THREAD_STACK_SIZE 1024*sizeof(uint32_t)

## Typedef Documentation

typedef struct threadsArgument threadsArgument_t

typedef struct timerArgument timerArgument_t

## Function Documentation

void palThreadFunc1 | ( | void const * | argument | ) |

void palThreadFunc2 | ( | void const * | argument | ) |

void palThreadFunc3 | ( | void const * | argument | ) |

void palThreadFunc4 | ( | void const * | argument | ) |

void palThreadFunc5 | ( | void const * | argument | ) |

void palThreadFunc6 | ( | void const * | argument | ) |

void palThreadFuncCustom1 | ( | void const * | argument | ) |

void palThreadFuncCustom2 | ( | void const * | argument | ) |

void palThreadFuncCustom3 | ( | void const * | argument | ) |

void palThreadFuncCustom4 | ( | void const * | argument | ) |

void palTimerFunc1 | ( | void const * | argument | ) |

void palTimerFunc2 | ( | void const * | argument | ) |

## Variable Documentation

threadsArgument_t g_threadsArg

uint32_t g_threadStorage[20]

timerArgument_t g_timerArgs

palMutexID_t mutex1

palMutexID_t mutex2

palSemaphoreID_t semaphore1